register = {}

function register.registerSpecializationVehicle(vehicleType, specialization, specName)
    table.insert(vehicleType.specializationNames, specName)
    vehicleType.specializationsByName[specName] = specialization
    table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('harvester', 'harvester', 'Harvester',  Utils.getFilename("Script/harvester.lua", g_currentModDirectory))

if g_vehicleTypeManager.vehicleTypes.woodHarvester ~= nil then
    register.registerSpecializationVehicle(g_vehicleTypeManager.vehicleTypes.FDRMachine, Harvester, 'harvester')
end